Info over Matrix Y2K

Matrix Y2K is gemaakt door M.A. van IJperen. In mijn vrije tijd maak ik allerlei programma's

Een paar jaar geleden heb ik mijn eerste website gemaakt, maar de software voor het maken van websites was erg duur dus ik dacht ik maak zelf de software wel. Toen heb ik dus Matrix Y2K ontwikkeld.

De allereerste versie is uitgekomen in 1999, dit was een basic text editor met een paar extra's. De ervaring ging steeds verder dus ook de software. Na een aantal nieuwe versies is de software helemaal opnieuw geschreven zo rond eind 2001.

Vanaf hier is de software steeds verder uitgebreidt met allerlei nieuwe snufjes. Het idee achter Matrix Y2K is dat het allemaal simpel moet overkomen en moet werken, enige kennis van HTML is wel vereist. Maar als je eenmaal je site in code kunt programmeren dan weet je wel dat dat de beste manier is.

Ik hoop dat u veel plezier beleeft met deze versie van Matrix Y2K. En voor suggesties of opmerking kunt u mij altijd mailen.

Ontwikkeld door M.A. van IJperen - Officiele website : http://www.crystalfibers.com - Nederland.


Tabel toevoegen

Hoe werkt het nu en wat betekent het allemaal ?

In het eerste veld "Kolommen" kan je opgeven hoeveel kolommen je wilt, het tweede veld "Rijen" geef je op hoeveel rijen je wilt.

Wat betekent Cellpadding ?

Cellpadding bepaald het aantal pixels dat tussen de text en de cell wordt open gehouden. Zie voorbeeld hieronder.

Voorbeeld 1. Cellpadding staat op 5 pixels.

Linker Heading 1 | Linker Heading 2
Cell Padding = 5 | Cell Padding = 5

Voorbeeld 2. Cellpadding staat op 10 pixels.

Rechter Heading 1 | Rechter Heading 2
Cell Padding = 10 | Cell Padding = 10

Wat betekent CellSpacing ?

Cellspacing bepaald het aantal pixels dat tussen de cellen wordt open gehouden. Zie voorbeeld hieronder.

Voorbeeld 1. Cellspacing staat op 5.

Heading 1 | Heading 2
Cell Spacing = 5 | Cell Spacing = 5

Voorbeeld 2. Cellspacing staat op 10.

Heading 1 | Heading 2
Cell Spacing = 10 | Cell Spacing = 10

Wat betekent plaatsing ?

Dit bepaalt de plaats van de tabel staat deze in het midden van het document of juist aan de linker of rechter kant.

Links uitlijnen

Dit zorgt ervoor dat de tabel links wordt uitgelijnd.

Rechts uitlijnen
 Dit zorgt ervoor dat de tabel rechts wordt uitgelijnd.

Centreren in het midden
Op het moment ondersteund geen een browser Centreren in het midden op tabellen. Maar je kunt wel de Center Tags gebruiken ( <CENTER> or <DIV ALIGN=CENTER> ) deze zet je dan om de tabel heen. In Matrix Y2K wordt de <Center> tag gebruikt om tabellen te centeren.

Table breedte

Dit bepaald de breedte van de tabel als je 100% opgeeft dan wordt de tabel even groot als de breedte van je document geef je hem een waarde van 50% dan wordt de tabel even groot als de helft van je document maar je kunt ook een vaste waarde opgeven van b.v. 100 dan wordt de tabel 100 pixels groot.

Achtergrond kleur

Hier kun je de achtergrond kleur van de tabel instellen.

Afbeelding voor de achtergrond

Hier kun je een afbeelding in plaatsen welke in de achtergrond van je tabel komt te staan.

Gebruik een rand

Dit zorgt ervoor dat er een rand om de tabel komt te staan.

Groote

Dit bepaald de dikte van de rand.

Kleur van de Rand

Hier kun je de kleur van de rand instellen.

"Bordercolorlight" and "Bordercolordark"
Als je browser deze attributen ondersteunt dan kun je de rand van de tabel een 3D look geven volgens de gewenste kleur instellingen.


Crystalfibers.com

Menu Balk

1. | Nieuw document
2. | Open een document
3. | Document opslaan
4. | Alle documenten opslaan
5. | Document sluiten
6. | Kopieren
7. | Plakken
8. | Knippen
9. | Ongedaan maken
10. | Terug zetten ongedaan maken
11. | Zoeken
12. | Zoeken en vervangen
13. | Image browser
14. | Document bekijken
15. | Laad document in een externe browser.
16. | Start een extern FTP programma
17. | Configuratie scherm
18. | Help

Snel Toetsen

Help | F1
Open Image Browser | F8
Document bekijken | F9
Open FTP Programma | F10
Laat de filemanager zien of verberg deze. | F11
Bekijk document in externe browser | F12
Configuratie Scherm | CTRL + F5
Voeg een tabel toe. | CTRL + T
Ongedaan maken | CTRL + Z
Terugzetten ongedaan maken | Shift + CTRL + Z
Vet gedrukt | CTRL + B
Onderstreept | CTRL + U
Schuin gedrukt | CTRL + I
Doorgehaald | CTRL + Y
Knippen | CTRL + X
Kopieeren | CTRL + C
Plakken | CTRL + V
Maak een nieuw document aan. | CTRL + N
Open een document | CTRL + O
Bewaar een document | CTRL + S
Importeer *.rtf document | F6
Importeer *.doc document | F7
Zoeken | CTRL + F
Zoeken en vervangen | CTRL + R
Vorige zoeken | CTRL + F2
Volgende zoeken | F3
Alles selecteren | CTRL + A
Text formatting | F4
Code Inside | CTRL + J : Klik hier om meer te leren over Code Inside
Ga naar regel... | CTRL + G
Line Break | CTRL + ENTER
Vorige document | CTRL + TAB
Volgende document | CTRL + SHIFT + TAB
Plaats bookmark | CTRL + SHIFT + NUMBER
Ga naar bookmark | CTRL + NUMBER


Speciale tekens

Om een karakter toe te voegen klik je op een karakter naar keuze. Je kunt kiezen om het karakter in HTML code toe te voegen (b.v. & copy) of als karakter (b.v. ©).

Zie het plaatje hieronder.

Als je klaar bent met het toevoegen van karakters dan kun je het venster sluiten.


configuration screen

Configuratie Scherm

Editor Instellingen

Automatisch inspringen

Deze zorgt ervoor dat de text word ingesprongen.

Toon scroll-hint

Deze optie zorgt ervoor dat er in de rechter bovenhoek een tooltip naar voren komt waar het regelnummer wordt weergegeven

Gebruik regelnummers

Als deze optie aan staat dan worden er lijn nummers weergegeven.

Gebruik syntax-highlighting

Dit zorgt ervoor dat de html code gekleurde text krijgt zodat bepaalde onderdelen makkelijker te onderscheiden zijn.

Gebruik gutter

Dit zorgt ervoor dat er een balk aan je edit window wordt toegevoegd waar de lijn nummers in worden weergegeven.

Tabs naar spaties

Als deze optie aanstaat, wordt elke keer als je de tab toets indrukt de tab ingevoerd als een spatie

Laat de speciale karakters zien (Tabs, spaties, enters etc ...)

Als deze optie aanstaat worden alle speciale karakters zoals "tabs, spaties enters" weergegeven in de editor

Gebruik marge

Met deze optie kunt u de marges instellen van de editor.

Gutter breedte

De breedte van de Gutter( balk aan je edit window ).

Blok inspringen

Dit geeft de indent grote aan als je block indent gebruikt met shift - Ctrl - u en unindent wordt gedaan met shift - ctrl - i dit is een handige functie zodat je je code een vorm kan geven zodat het makkelijker te lezen is. (Inspringen van de code)

Editor lettertypes

Hier kun je het type font opgeven en de font grote die wordt gebruikt in de editor.

Bewerk venster achtergrondkleur

Hier kun je de achtergrond kleur van het edit window veranderen.

Text stijlen

Dit zijn de standaard text instellingen die gebruikt worden in Text formatting

Acties

Dubbelklikken om een bestand te openen

Hier kunt u instellen of een document met een klik of een dubbel klik geopend moet worden.

Open niet twee keer hetzelfde bestand

Als deze optie aanstaat wordt een bestand niet twee keer geopend.

Gebruik de XP Look

Hiermee kunt u de XP Look aan of uit zetten.

Herinner mij om bestand op te slaan voordat ik het sluit

Hier kunt u aanvinken of je een boodschap wilt krijgen als je een document sluit welke nog niet is opgeslagen. (Tip : Zorg dat deze optie aanstaat zodat je herrinert wordt of je bestand moet opslaan of niet.!)

Laad de document manager als het programma start

Als het programma start kunt u kiezen of u elke keer wilt starten met de documentmanager of niet.

Bracket Matching

Misplaatste en onvolledige brackets is één van de meest voorkomende syntaxisfouten bij het schrijven van code. Het plaatsen van de cursor onmiddellijk vóór of na een bracket zal benadrukken of deze het bracket sluit via highlighting van de brackets.

De achtergrondkleur wordt gebruikt om de kleur van de bracket highlighting te veranderen.
(Notitie: Houd voorgrondkleur het zelfde als de achtergrondkleur van de editor)

Verwijder de historie van de laatst geopende bestanden

Matrix Y2K onthoud welke documenten u als laatste geopend hebt. Als u deze historie wilt verwijderen dan klikt u op de knop (Verwijder de historie van de laatst geopende bestanden).

Taal Instellingen

Taal module
Klik op de knop "..." om een andere taalmodule te selecteren. Matrix Y2K kan in elke taal gezet worden mits deze plugin aanwezig is !

Kies de standaard helpbestands taal
Hier kun je een helpfile in een andere taal kiezen. Mits deze aanwezig is.

Pad Configuratie

FTP Pad

Hier kunt u het pad opgeven naar uw favoriete ftp programma.

GFX Editor

Hier kunt u het pad opgeven naar uw grafische software die u gebruikt om afbeeldingen te bewerken.

Browser Pad

Hier kunt u het pad opgeven naar uw favoriete browser. Je kan zoveel browsers toevoegen als je maar wilt. Vanuit Matrix Y2K kun je kiezen in welke browser je je bestand wilt bekijken.

Zet de geselecteerde browser als standaard

Hiermee kun je de geselecteerde browser als standaard instellen. Wat betekent als je op het icoontje klikt voor het bekijken van een bestand in een externe browser dan zal daar voor de standaard browser gekozen worden. Maar je kunt ook via de drop down list een andere browser kiezen.

Wilt u een browser te verwijderen dubbelklik dan op een browser naar keuze.

Elements

Hier wordt het pad weergegeven naar het elements bestand welke wordt gebruikt voor de Tag Library.

Code Inside Configuratie

Hoe werkt code inside ? Click hier voor meer info.

Syntax Highlighting

Instellen van een highlighter
Hier kun je je de highlighters aanpassen naar je eigen smaak. Selecteer een highlighter "In de selectie box onder Highlighter", kies daarna een attribuut hierna kun je de kleuren en dergelijke instellen. Klik op bewaar veranderingen om je highlighter op te slaan.

Instellen van een highlighter via een document
Open een document klik op "Importeren". Nu kun je in het document klikken op bepaalde attributen (Zie attributen dropdown box). Nu kun je direct de kleuren aanpassen zodat voor die specifieke highlighter de juiste kleuren gebruikt worden die je zelf wilt.

Vergeet niet op "Bewaar Instellingen" te klikken zodat de highlighter bewaard word ! Highlighters worden in het register opgeslagen.


Code Inside

Wat is Code Inside ?

Code inside is een bibliotheek met allerlei scripts die jezelf kunt aanleggen er zitten er standaard een paar in. In je document kun je dan een keyword typen en als je daarna op CTRL - J drukt dan wordt het script die aan het keyword vast zit uit de bibliotheek gehaald en ingevuld in je document.

Een script toevoegen aan Code inside.

klik op "Voeg code toe (Eerste button van links) " daarna zal het onderstaande scherm openen.

Wat moet je invullen ?

- In het eerste veld ( Verkorte code ) moet je een keyword invullen deze zal je later in je document moeten typen om de code op te vragen uit de bibliotheek.

- In het 2e veld ( Commentaar ) hier kun je commentaar invullen over je code.

- In het text veld kun je je code invulllen. Maar je kunt ook klikken op importeren om een heel bestand te importeren.

Hoe werkt het ?

Laten we zeggen dat je een key hebt genaamd " Hr " en het script erachter is "<HR Size=1 Color=Black> ".

Nu kun je in je document : Hr typen ( zonder de quotes ) en dan kun je op CTRL - J drukken en je script wordt opgehaald uit de bibliotheek en zal in je document worden ingevuld.

Verwijder geselecteerde code

Als je hier op klikt dan wordt het geselecteerde script verwijderd uit de bibliotheek.

Exporteer Code Inside

Hiermee kun je jouw bibliotheek met scripts exporteren om deze te delen met een vriend(in) of collega.

Importeer Code Inside

Hiermee kun je een bibliotheek met scripts van iemand anders importeren zodat je gebruikt kunt maken van andermans scripts exporteer wel eerst je eigen bibliotheek want deze wordt overschreven !!!


Dokumenten

Dokument bekijken

Je kunt een dokument bekijken zonder het op te slaan ! Een tijdelijk bestand wordt aangemaakt en na het bekijken wordt deze weer verwijderd.

Het previewen van een dokument in een externe browser werkt net iets anders. Je hoeft hier ook je dokument niet op te slaan, want hier worden ook tijdelijke bestanden voor aangemaakt alleen worden deze pas verwijderd na het afsluiten van Matrix Y2K.

Importeren van dokumenten.

Klik in het menu op file en daarna op import hier kun je twee soorten dokumenten kiezen om te importeren, dit zijn Rich Text Files *.rtf en Word dokumenten *.doc. Je kunt deze bestanden importeren als een nieuwe dokument maar je kunt ze ook toevoegen in een bestaand dokument. Om een word dokument te importeren is het wel noodzakelijk dat je word geinstalleerd hebt.

Export naar RTF.

Als je in het menu kiest voor " File " en dan voor export dan kun je kiezen om je dokument te exporteren naar Rich Text formaat *.rtf. Als je dit doet dan wordt je dokument omgezet naar rich text en kan je dat dokument bewerken in wordt en zal het in word er net zo uit zien als je dokument in Matrix Y2K eruit zag.

Rechtermuisknop menu.

Als je een nieuw dokument hebt gemaakt of je hebt een dokument open dan kan je in het dokument klikken met je rechter muisknop en dan komen er tal van nieuwe opties naar voren welke je kunt gebruiken zoals het toevoegen van tags, plaatjes etc ... Zie het plaatje hieronder.

Als je een stuk text selecteerd dan kun je op b.v. bold klikken en dan worden de bold tags toegevoegd de text blijft net zo lang geselecteerd tot dat je in het dokument klikt dus je kunt je text in een keer bold italic and gecentreerd maken.


Documentbeheer

Met documentbeheer kunt u standaard documenten openen. Documentbeheer kan geopend worden als Matrix Y2K gestart wordt. Met de shortcut "CTRL - N" kunt u documentbeheer ook openen.

Als u documentbeheer niet tijdens het opstarten wilt laden, vink dan de checkbox aan. (Laad document beheer niet bij het opstarten.)

U kunt standaard documenten openen zoals :

  • Leeg document
  • Html
  • Php
  • Css
  • XHtml

Maar u kunt ook standaard documenten aanmaken. Via "Mijn documenten" deze vindt u op het tweede tabblad in documentbeheer.

Nieuw standaard document aanmaken

1. Nieuw standaard document aanmaken.
2. Geselecteerd document bewerken.
3. Geselecteerd document verwijderen.

Als u een nieuw standaard document gaat aanmaken dan verschijnt het volgende scherm :

1. Bij "Naam" vult u de naam in die u aan het standaard document wilt geven. (b.v. php script 1).
2. Klik op het pijltje naast verander highlighter om de juiste syntax highlighter aan het document toe te kennen.
3. Klik op "Importeren" om een geheel document in te voegen.
4. In het edit scherm kunt u ook zelf code typen.
5. Klik op "Ok" om het document op te slaan of klik op annuleren om het scherm te verlaten.


File Manager

Met de file manager kun je allerlei documenten openen. Bekende document typen zoals HTML, PHP, ASP etc... worden direct met de juiste highlighter geopend. Plaatjes worden direct in de image browser geladen

File manager.

Om de file manager onzichtbaar te maken klik je op het kruisje, je kunt hem ook weer zichtbaar maken met F11 of Klik op Opties > Toolbars > Sidebar weergeven

De File Manager bestaat uit twee delen, een deel waar al je schijven staan en een deel waar alle bijbehorende bestanden staan. Als je op een schijf of bestand gaat staan kun je op de rechtermuisknop klikken, waar je dan de optie hebt om een folder aan te maken, te verwijderen, kopieeren van bestanden en folders. De File Manager word automatisch ververst maar je kan het ook handmatig doen door op F5 te drukken. Zie het plaatje hieronder

File Manager ( Bovenste deel ):

- Nieuw -> Map aanmaken -> Maakt een nieuwe map aan.
- Knippen -> Een bestand knippen om deze op een andere lokatie op te slaan
- Kopiëren -> Een bestand kopiëren
- Plakken -> Een gekopieërd bestand plakken op de nieuwe lokatie
- Verwijderen -> Een bestand in de prullenbak zetten. Om een bestand permanent te verwijderen houd je shift ingedrukt voordat je op verwijderen drukt.
- Eigenschappen -> Hier kun je de eigenschappen van bestanden folders etc... bekijken.

File Manager ( Onderste deel ):

- Open de geselecteerde bestanden -> Hiermee opent u alle bestanden die u in de filemanager geselecteerd hebt.
- Nieuw -> Map aanmaken -> Hiermee maakt u een nieuwe map aan.

- Voeg het geselecteerde bestand toe aan het huidige document -> Hiermee kunt u het geselecteerde bestand invoegen in het huidige document met de volgende opties gebaseerd op bestands type! :
  • Compleet bestand invoegen, voegt het complete bestand in het huidige document toe
  • Bestand includen, zal een include toevoegen met een verwijzing naar het bestand.
  • Bestand toevoegen als hyperlink. Maakt een link aan waar bezoekers op kunnen klikken
  • Voeg plaatje in, hiermee kunt u heel snel een plaatje toevoegen omdat alles al ingevuld word.

- Knippen -> Een bestand knippen om deze op een andere lokatie op te slaan
- Kopiëren -> Een bestand kopiëren
- Plakken -> Een gekopieërd bestand plakken op de nieuwe lokatie
- Hernoem het geselecteerde bestand -> Hiermee kunt u een bestand een andere naam geven.
- Bewerk afbeelding -> Het plaatje zal in de door u opgeven editor geopend worden.
- Verwijderen -> Een bestand in de prullenbak zetten. Om een bestand permanent te verwijderen houd je shift ingedrukt voordat je op verwijderen drukt.
- Alles selecteren -> Hiermee selecteerd u alle bestanden.
- Eigenschappen -> Hier kun je de eigenschappen van bestanden folders etc... bekijken.

* Een paar functies van het onderste deel van de filemanager zijn opgenomen aan de rechterkant van de file manager


 HTTP SERVER

De HTTP Server in Matrix Y2K is een nieuwe en geavanceerde optie. Met de HTTP Server kun je zelf locaal PHP pagina's parsen zonder ze te uploaden naar je server. Het enigste wat je moet doen is PHP downloaden en zelf installeren. Je kunt PHP vinden op http://www.php.net (deze software bevat een uitgebreide handleiding waar precies in beschreven staat hoe het werkt). Hierna de juiste instellingen zetten en je kunt de HTTP Server activeren.

De HTTP Server heeft een paar instellingen nodig:

HTTP Server starten

Om de HTTP Server te starten vink je de checkbox aan waar "Uitgeschakeld" achter staat.

Tabblad "Server Instellingen"

- Root : Hier moet u het pad invullen vanwaar de server de paginas aan bied.
- Poort : Hier geeft u een poort nummer op welke gebruikt moet worden. Standaard is 80

Tabblad "PHP Instellingen"

- PHP.exe lokatie : Als je PHP geinstalleerd hebt op je systeem dan heb je ook PHP.exe voor PHP4 en php-cgi.exe voor PHP5 op je systeem staan. Voer hier het pad met bestandsnaam in naar en van de twee executables.
- PHP Inifile pad : Als je PHP geinstalleerd hebt op je systeem dan heb je ook een ini bestand met de settings voor PHP ingesteld of meegeinstalleerd. Voer hier het pad in naar dat ini bestand.

Tabblad "Beveiliging"

Vink de checkbox "Vraag om verificatie" aan als je je pagina's wilt beveiligen met een gebruikersnaam en wachtwoord. Als je de checkbox aanvinkt dan verschijnt onderstaand scherm waar je je gebruikersnaam en wachtwoord in kunt stellen.

HTTP Server starten

1. Zorg dat alle instellingen correct zijn. (Instellingen worden automatisch bewaard!)
2. Klik op "Uitgeschakeld" Nu zal de text zijn "Aan"

Als je nu een pagina gaat bekijken zal er een tijdelijk bestand aangemaakt worden op "http://127.0.0.1:80/mtx_tmp~index.php." http://127.0.0.1:80 is een verwijzing naar de root directory op poort "80".

Als je pagina dus plaatjes, includes, etc.... bevat zorg dan dat deze in de root directory aanwezig zijn anders worden ze niet geladen.

Voor het configureren van PHP adviseer ik dat je de volgende site bekijkt: http://www.php.net hier staat alle informatie en help over PHP

In de status window zie je server berichten voor bijkomen, niet zo interessant maar kan wel handig zijn.


Controleer links

Taal Instellingen

Matrix Y2K kan in verschillende talen gezet worden via het plugin systeem. Je kunt zelf ook plugins maken hier is geen programeer ervaring voor nodig enkel een text editor.

Een andere taal kiezen

In de menubalk klik je op "Configuratie Scherm -> Kies een andere taal" zie het plaatje hieronder:

Je kunt ook het Configuratie Scherm openen met CTRL + F5 of selecteer Opties > Configuratie Scherm > Configuratie Scherm

Nu zie je onderstaand scherm:

.

Andere taal kiezen

Klik op de knop " ... " onder Taalmodule om een andere plugin te selecteren. Nu zal Matrix Y2K in de door u gekozen taal gezet worden. Je kunt dezelfde procedure gebruiken om een andere helpfile te kiezen zonder opnieuw op te starten ;)


License

Licentie

Alle dokumentatie en software in het Matrix Y2K © pakket zijn auteursrechtelijk beschermt.
Auteursrecht (C) 1998-2005 M.A. van IJperen. Alle rechten voorbehouden.

Deze software is "als-is", zonder enig uitdrukkelijke of geïmpliceerde garantie verzorgd.
U Zult in geen geval de auteur aansprakelijk stellen voor enige schade voortkomende van het
gebruik van deze software.

Toestemming is gegund deze software persoonlijk of commercieel te gebruiken.

U mag de software herdistribureren maar alleen volgens onderstaande regels:

1. Alle herdistributies moeten alle auteursrechten en berichten die momenteel in plaats zijn
en deze lijst van voorwaarde zonder wijziging vasthouden.

2. Alle herdistributies moeten alle occurances van het boven auteursrecht bericht
en web-site adressen vasthouden die momenteel in plaats
(bijvoorbeeld, in het info scherm) zijn.

3. Geen wijzigingen zullen aan de software of installatie gemaakt worden.

Herdistributies moeten de officieële installatie gebruiken, indien u
denkt dat de installatie niet officieël is neem dan alstublieft contact op met
mailto:info@crystalfibers.com

Een officieële installatie kan gedownload worden op de officieële site
[http://www.crystalfibers.com].

M.A. van IJperen
software@crystalfibers.com
http://www.crystalfibers.com


Dokument afdrukken

Je kan je dokument met lijnnummers en syntaxhighlighting uitprinten.

Een selectie printen :

- Selecteer de text die u wilt printen.

- Ga naar bestand en kies dokument afdrukken.

Dan zal er gevraagd worden of u het hele dokument wilt printen of alleen het geselecteerde deel.Hier moet u kiezen voor " Nee ".

Dan zal u hetvolgende scherm zien

Hier kan je kiezen of jet het dokument met lijnnummers en syntaxhighlighting (Alleen mogelijk in kleur) wilt printen.

Om het hele dokument te printen

- Ga naar bestand en klik op dokument afdrukken.

( Als je een stuk text geselecteerd hebt zal er gevraagd worden of je een selectie wilt printen of het hele dokument. Hier moet je kiezen voor " Ja ". )

Dan zie je hetvolgende scherm

Hier kan je kiezen of jet het dokument met lijnnummers en syntaxhighlighting (Alleen mogelijk in kleur) wilt printen.


Crystalfibers.com

Project Manager

De project manager is handig als je meerdere sites hebt die over je hele harddisk staan of op andere media. Het is net als het maken van snelkoppelingen naar directories

Menu van de project manager

1. Nieuw project
2. Voeg een project toe
3. Verwijder een project (Hiermee wordt alleen het project uit de project manager verwijderd)

4. Om een project te wijzigen (Het pad b.v. c:\mywebsites), selecteerd u een project (pad) klik nu op de rechtmuisknop en klik op bewerken.

Voeg een project toe

Click op button 1 (Zie het menu van de project manager). Dan zal je hetvolgende scherm zien

Als eerste moet je een directorie kiezen. Dan moet je een project naam invullen Klik nu op "Ok". Je hebt nu je eerste project gemaakt.

Project toevoegen

Als je nu een project hebt met meerdere sites dan kan je sub projecten toevoegen.

Selecteer als eerste een project waar je sub projecten aan toe wilt voegen. Klik dan op button 2 (Zie het menu van de project manager).

Je ziet nu onderstaand scherm. :

Selecteer nu een directorie. En nu heb je een sub project toegevoegd.

Verwijder een project

Selecteer een project en klik op button 3 (Zie het menu van de project manager)

Naar een project gaan

Klik op een project naar keuzen en dan zal de filemanager naar de juiste directorie gaan. (Als je op de naam van het project gaat dan zal het eerste sub project gebruikt worden).


Support

Ondersteuning en Vragen

Je kunt via een aantal wegen ondersteuning krijgen via de website of email maar ook kunt u mee praten op het forum met andere gebruikers.

Suggesties zijn altijd welkom die kunnen de software alleen maar verbeteren.

Official Website http://www.crystalfibers.com
Email software@crystalfibers.com


Crystalfibers.com

Tools, hier vindt u allerlei tools om uw website te ontwikkelen. Hieronder kunt u de werking lezen

Standaard

1. Speciale tekens: Voeg speciale tekens toe aan uw document b.v. ©® etc...
2. Link/Mailto: Voeg een hyperlink of email link toe aan je document
3. Tabellen: Met deze wizard kunt u makkelijk tabellen toevoegen aan uw docucument
4. Kleurenpallet: Hiermee kunt u allerlei kleuren toevoegen aan uw document
5. Plaatjes: Hiermee kunt u plaatjes toevoegen.
6. Nieuwe regel: Hiermee voegt u een nieuwe regel toe.
7. Horizontale lijn: Voeg een horizontale lijn toe aan uw document.

HTML-Formulieren

1. Kant en klaar HTML Formulier (*)
2. Voeg een textarea toe.
3. Voeg een checkbox toe.
4. Voeg een radiobox toe.
5. Voeg een editbox toe.
6. Voeg een option selector toe (NOTITIE : Staat ook bekend als combobox.).
7. Voeg een hidden text toe.
8. Voeg een password box toe.
9. Voeg een image toe.
10. Voeg een button toe.

Kant en klaar HTML Formulier (Knop 1)

Klik op "knop 1". Nu moet je je email adres invullen. Dit is nodig om de informatie naar toe te
sturen. Als je je email adres hebt toegevoegd dan wordt het kant en klare html formulier aan jouw document toegevoegd.
Je kunt het HTML Formulier direct testen in de preview (Bekijken).

Alle objecten van knop 2 t/m 9 kun je gebruiken om het kant en klare HTML formulier mee uit
te breiden of om een nieuw HTML formulier te maken.

Eigenschappen van het HTML Formulier :

Naam | Hier moet je een naam voor het object invullen. Dit mag elke naam zijn die je wilt
Waarde | De text die je hier invoert is zichtbaar op je pagina.
OnClick | Als een gebruiker op het object klikt wordt dit event aangesproken. De volgende voorbeeld code zou je b.v. in kunnen vullen : alert('Dit is een popup scherm ...'); als een gebruiker nu op het object klikt komt het volgende bericht naar voren "Dit is een popup scherm ..."
Checked | Wordt gebruikt voor checkboxes en radioboxes.
Maximale Lengte | Hiermee kun je het aantal karakters limiteren welke ingevoerd kunnen worden.
Groote | Hiermee kun je de groote van het object instellen.
OnBlur | Het onblur event wordt geactiveerd als het element de focus kwijt raakt (Dit kan door erop te klikken of door er met tab naar toe te navigeren)
OnChange | Het onchange event wordt geactiveerd als een control zijn input focus verliest en de waarde is veranderd sinds dat deze focus kreeg
OnFocus | Het onfocus event wordt geactiveerd als het element focus krijgt (Dit kan door erop te klikken of door er met tab naar toe te navigeren).
OnSelect | Het onselect event wordt geactiveerd als een gebruiker een stuk text selecteerd in een text veld.

Scripts

1. Datum/Tijd: Voeg de huidige datum en tijd toe aan het document.
2. Laatst bijgewerkt script: Voegt een script toe welke een datum weergeeft.
3. Alert box: Voegt een dialog toe welke een door u ingesteld bericht kan weergeven.
4. Bevestigings Popup: Voegt een dialog toe welke een vraagt stelt die door u ingesteld is.

Text

1. Vet gedrukt : Voegt de vet gedrukt tag toe, of als er text geselecteerd is worden de tags eromheen gezet.
2. Schuin gedrukt : Voegt de schuin gedrukt tag toe, of als er text geselecteerd is worden de tags eromheen gezet.
3. Onderstreept : Voegt de onderstreept tag toe, of als er text geselecteerd is worden de tags eromheen gezet.
4. Doorhalen: Voegt de doorhalen tag toe, of als er text geselecteerd is worden de tags eromheen gezet.
5. Links uitlijnen: De tekst zal links uitgelijnd worden.
6. Centreren: De tekst zal gecentreerd worden.
7. Rechts uitlijnen: De tekst zal rechts uitgelijnd worden.
8. Justify: De tekst zal verdeeld worden.
9. Nummers toevoegen: Voegt een lijst van nummers toe.
10. Punten toevoegen: Voegt een lijst van punten toe.
11. Heading stijl: Geef een bepaald stuk text een andere heading stijl
12. Paragraaf tag: Uitlijning van de paragraaf
13. Text instellen: Hiermee kunt u de text in het document instellen zoals u dat wilt.


Software bijwerken

Update Console

The Update Console can update separate parts of Matrix Y2K. This saves you in your download time and installation. To use the update console you need an active internet connection.

How to start the update console. Click on :

- Help
- Update Matrix Y2K

Now you will see the screen below:

The update console directly checks if there are updates available for you. When there are updates available then you will see a list of updates which you can download immediately by clicking on the link.


Visual FX

Waar zijn de scripts ?

Er zitten geen scripts in Matrix Y2K dit is niet omdat ik dat niet wil maar scripts worden ook vaak genoeg bijgewerkt en dan zit je al weer met een oudere versie te werken. Daarom heb ik een lijst met hele goeie sites toegevoegd waar je de beste scripts kun halen.

Hoe maak ik mijn eerste site ?

Wat heb je nodig

- Een HTML editor
- Kennis om in code te schrijven

De html editor heb je al gevonden (Je leest niet voor niks in de helpfile ervan). Nu moet je alleen nog weten hoe je HTML schrijft. Dit is gemakkelijk te leren door de volgende site te bezoeken.

http://webdesign.about.com/library/beginning/bl_begin.htm?PM=ss11_html

Hier kun je allerlei voorbeelden en handleidingen vinden om een echte HTML Guru te worden.

About.com

Als je een vraag hebt maar nog geen antwoord ga dan naar de volgende site about.com hier kun je namelijk hele goeie handleidingen vinden.

www.about.com

PHP.net

De officiele site van PHP. Hier kun je functies nazoeken en informatie opzoeken over php.

www.php.net

Dit zijn de top links die ik zelf ook vaak gebruik